Subject: bug#62723: closed (Re: Fix for librsvg 2.40 on core-updates)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 11 Apr 2023 11:59:02 +0000

Your bug report

#62723: autogen fails to build on i686-linux

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
62723: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=62723
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: Fix for librsvg 2.40 on core-updates
From: Andreas Enge <[email-masked]>
To: Kaelyn <[email-masked]>
Cc: guix-devel <[email-masked]>, [email-masked], [email-masked]
Date: Tue, 11 Apr 2023 13:58:29 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Am Mon, Apr 10, 2023 at 07:00:16PM +0000 schrieb Kaelyn:
> I just mailed https://issues.guix.gnu.org/62758 to add a snippet to fix the build error. I used a similar approach as the existing snippet for fixing a format overflow error. (I also forgot to set the subject prefix to "PATCH core-updates" on the git send-mail command line.).

Thanks a lot, this looks like a good fix. I have just pushed it.

Andreas

Subject: autogen fails to build on i686-linux
From: Andreas Enge <[email-masked]>
To: [email-masked]
Date: Sat, 8 Apr 2023 12:13:20 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

autogen fails to build on i686-linux like so, for instance on master commit
c9af27d4ca733b20f09019f1465d3e5fdc1ec724:

libtool: compile:  gcc -DHAVE_CONFIG_H -I. -I.. -I.. -I../autoopts -DPKGDATADIR=\"/gnu/store/n29inqv3rnwix1jqsxc1gd2yw0q8jkr0-autogen-5.18.16/share/autogen\" -g -O2 -Wno-format-contains-nul -fno-strict-aliasing -Wall -Werror -Wcast-align -Wmissing-prototypes -Wpointer-arith -Wshadow -Wstrict-prototypes -Wwrite-strings -Wstrict-aliasing=3 -Wextra -Wno-cast-qual -g -O2 -Wno-format-contains-nul -fno-strict-aliasing -c libopts.c  -fPIC -DPIC -o .libs/libopts_la-libopts.o
In file included from libopts.c:48:
usage.c: In function ‘prt_extd_usage.isra’:
usage.c:736:38: error: ‘s ’ directive output may be truncated writing 2 bytes into a region of size between 0 and 9 [-Werror=format-truncation=]
  736 |         snprintf(vfmt, sizeof(vfmt), vfmtfmt, (unsigned int)nmlen + 4);
      |                                      ^~~~~~~
usage.c:736:9: note: ‘snprintf’ output between 9 and 18 bytes into a destination of size 12
  736 |         snprintf(vfmt, sizeof(vfmt), vfmtfmt, (unsigned int)nmlen + 4);
      |         ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
cc1: all warnings being treated as errors

The version we package from
   https://ftp.gnu.org/pub/gnu/autogen/
dates from 2018. The website
   https://www.gnu.org/software/autogen/
has apparently not been updated since 2015.

I wonder if we had not better drop this apparently unmaintained software,
but it has quite a lot of dependents:
Building the following 1275 packages would ensure 2489 dependent packages are rebuilt

Andreas